Upload a release file
curl --request POST \
--url https://varco-{partner}.musixmatch.com/distribution/v1/deliveries/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"musixmatch_user_id": "mxm:123456789012345678901"
}
'import requests
url = "https://varco-{partner}.musixmatch.com/distribution/v1/deliveries/files"
payload = { "musixmatch_user_id": "mxm:123456789012345678901" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({musixmatch_user_id: 'mxm:123456789012345678901'})
};
fetch('https://varco-{partner}.musixmatch.com/distribution/v1/deliveries/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "release file upload accepted",
"data": {
"file": {
"file_id": 123456,
"upload_url": "https://storage.example.com/uploads/123456?signature=..."
}
}
}{
"message": "<string>",
"data": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}{
"message": "<string>",
"data": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}{
"message": "artist roster not found",
"data": {
"error": {
"code": "003"
}
}
}{
"message": "<string>",
"data": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}Deliveries
Upload a release file
Creates a pre-signed upload URL for a release ZIP file (ERN metadata + audio). Upload the file via HTTP PUT to the returned upload_url, then call POST /distribution/v1/deliveries with the file_id to create the delivery.
POST
/
distribution
/
v1
/
deliveries
/
files
Upload a release file
Authorizations
Access token obtained via the Client Credentials OAuth 2.0 flow at https://connect.musixmatch.com/oauth/token
Body
application/json
The Musixmatch user ID of the artist, obtained via token introspection of the user's access token
Was this page helpful?
⌘I